#!/usr/bin/python2.5

import unittest

from unit.test_facebook import TestFacebookService
from unit.test_gravatar import TestGravatarService
from unit.test_linkedin import TestLinkedInService
from unit.test_twitter import TestTwitterService

from integration.test_gravatar import IntegrationTestGravatarService
from integration.test_linkedinapi import IntegrationTestLinkedInApi
from integration.test_twitter import IntegrationTestTwitterService

import integration

class AutomaticTestsSuite(unittest.TestSuite):

    def suite():
        suite = unittest.TestSuite()
        suite.addTest(unittest.makeSuite(TestFacebookService))
        suite.addTest(unittest.makeSuite(TestGravatarService))
        suite.addTest(unittest.makeSuite(TestLinkedInService))
        suite.addTest(unittest.makeSuite(TestTwitterService))
        
        suite.addTest(unittest.makeSuite(IntegrationTestGravatarService))
        suite.addTest(unittest.makeSuite(IntegrationTestLinkedInApi))
        suite.addTest(unittest.makeSuite(IntegrationTestTwitterService))
        
        

if __name__ == '__main__':
    unittest.main()
